FINCORE(1)

NAME
fincore - query in-core status of file pages

SYNOPSIS
fincore [-qs] file ...

DESCRIPTION
The fincore utility queries and displays in-core status of specified files.

Note that the result can already be stale when being output due to other activities in the system. Thus it should be used only for advisory purposes.

The fincore utility accepts the following options.

-q  The quiet mode. Outputs nothing unless the file has in-core pages.

-s  The summary mode. Only shows number of pages.

EXAMPLES
The following example shows that /bin/cat and /bin/cp are fully cached in-core while the other executables are not in-core. numbers shown in the default output are page indexes in the file of each in-core pages.

    % fincore /bin/c*
    /bin/cat: 0 1 2 3
    /bin/chio:
    /bin/chmod:
    /bin/cp: 0 1 2 3 4 5
    /bin/cpio:
    /bin/csh:
    % fincore -s /bin/c*
    /bin/cat: 4 / 4 in-core pages (100.00%)
    /bin/chio: 0 / 5 in-core pages (0.00%)
    /bin/chmod: 0 / 3 in-core pages (0.00%)
    /bin/cp: 6 / 6 in-core pages (100.00%)
    /bin/cpio: 0 / 36 in-core pages (0.00%)
    /bin/csh: 0 / 41 in-core pages (0.00%)

SEE ALSO
mincore(2)

AUTHORS
The fincore utility is written by YAMAMOTO Takashi.

CAVEATS
The concept of page cache is an implementation detail of the kernel. The fincore utility works using some assumptions on the current implementation. Thus it might stop working in a future version of NetBSD.

BUGS
The amount of CPU time the current implementation of fincore utility would take is roughly proportional to the file sizes. Ideally it should be proportional to the number of in-core pages.